org.opengis.cite.ogcapitiles10.apidefinition

## Class ApiDefinition

- java.lang.Object
- - org.opengis.cite.ogcapitiles10.CommonFixture
  - - org.opengis.cite.ogcapitiles10.apidefinition.ApiDefinition

-     public class ApiDefinition
      extends CommonFixture

  A.2.3. API Definition Path {root}/api (link)
  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `missing_api_definition_error_message, missing_landing_page_error_message, requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiDefinition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apiDefinitionValidation(org.testng.ITestContext testContext)` Implements Abstract test A.23: /conf/oas30/completeness Partly addresses Requirement 22: /req/oas30/completeness
    `void` | `openapiDocumentRetrieval()`
    `void` | `retrieveApiUrl()`

    - ### Methods inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `clearMessages, formatLinkURI, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiDefinition

          public ApiDefinition()

  - ### Method Detail

    - #### retrieveApiUrl

          public void retrieveApiUrl()

    - #### openapiDocumentRetrieval

          public void openapiDocumentRetrieval()

    - #### apiDefinitionValidation

          public void apiDefinitionValidation(org.testng.ITestContext testContext)
                                       throws MalformedURLException

      Implements Abstract test A.23: /conf/oas30/completeness Partly addresses Requirement 22: /req/oas30/completeness
      Parameters:
        `testContext` - never `null`
      Throws:
        `MalformedURLException` - if the apiUrl is malformed

Copyright © 2024 Open Geospatial Consortium. All rights reserved.